package linearalgebra.symbolic;

import linearalgebra.symbolic.*;

public class Inverse extends linearalgebra.symbolic.UnaryOperator {
	public Inverse( SymbolicValue v ) {
		super(v);
	}
	
    public int getPrecedence() {
        return MULT;
    }
    
    public String toString() {
    	StringBuffer rc = new StringBuffer("1.0/( ");
    	rc.append( getChild(0).toString() );
    	rc.append(" )");
    	return rc.toString();
    }

    protected double doOperation( double child ) {
    	return 1.0/child;
    }
}